ru.bitel.bgbilling.modules.mobile.server.bean

## Class MobilePushToken

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.mobile.server.bean.MobilePushToken

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class MobilePushToken
      extends Id

  Это хранящийся в БД push токен, для провайдеров которые сами занимаются рассылкой
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_ANDROID`
    `static int` | `TYPE_IOS`
    `static int` | `TYPE_Ios_Firebase`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MobilePushToken()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDateCreate()`
    `java.util.Date` | `getLastConfirmDate()`
    `java.util.Date` | `getLastSendDate()`
    `int` | `getRejected()`
    `java.util.Date` | `getRejectedDate()`
    `java.lang.String` | `getToken()`
    `int` | `getType()` Ios или Android
    `boolean` | `isRejected()`
    `void` | `setDateCreate(java.util.Date dateCreate)`
    `void` | `setLastConfirmDate(java.util.Date lastConfirmDate)`
    `void` | `setLastSendDate(java.util.Date lastSendDate)`
    `void` | `setRejected(int rejected)`
    `void` | `setRejectedDate(java.util.Date rejectedDate)`
    `void` | `setToken(java.lang.String token)`
    `void` | `setType(int type)` Ios или Android

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_IOS

          public static final int TYPE_IOS

      See Also:
        Constant Field Values

    - #### TYPE_ANDROID

          public static final int TYPE_ANDROID

      See Also:
        Constant Field Values

    - #### TYPE_Ios_Firebase

          public static final int TYPE_Ios_Firebase

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MobilePushToken

          public MobilePushToken()

  - ### Method Detail

    - #### isRejected

          public boolean isRejected()

    - #### getToken

          public java.lang.String getToken()

    - #### setToken

          public void setToken(java.lang.String token)

    - #### getType

          public int getType()

      Ios или Android

    - #### setType

          public void setType(int type)

      Ios или Android

    - #### getDateCreate

          public java.util.Date getDateCreate()

    - #### setDateCreate

          public void setDateCreate(java.util.Date dateCreate)

    - #### getLastSendDate

          public java.util.Date getLastSendDate()

    - #### setLastSendDate

          public void setLastSendDate(java.util.Date lastSendDate)

    - #### getLastConfirmDate

          public java.util.Date getLastConfirmDate()

    - #### setLastConfirmDate

          public void setLastConfirmDate(java.util.Date lastConfirmDate)

    - #### getRejected

          public int getRejected()

    - #### setRejected

          public void setRejected(int rejected)

    - #### getRejectedDate

          public java.util.Date getRejectedDate()

    - #### setRejectedDate

          public void setRejectedDate(java.util.Date rejectedDate)